Package org.jboss.logging.processor.validation

## Class ValidationMessageFactory

- java.lang.Object
- - org.jboss.logging.processor.validation.ValidationMessageFactory

    public final class ValidationMessageFactory
    extends java.lang.Object

Date: 12.08.2011

Author:
  James R. Perkins

### Method Summary

All Methods Static Methods Concrete Methods
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, java.lang.String message)`
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, java.lang.String format, java.lang.Object... args)`
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotationMirror, java.lang.String message)`
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotationMirror, java.lang.String format, java.lang.Object... args)`
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotationMirror, javax.lang.model.element.AnnotationValue annotationValue, java.lang.String message)`
`static ValidationMessage` `createError​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotationMirror, javax.lang.model.element.AnnotationValue annotationValue, java.lang.String format, java.lang.Object... args)`
`static ValidationMessage` `createWarning​(javax.lang.model.element.Element element, java.lang.String message)`
`static ValidationMessage` `createWarning​(javax.lang.model.element.Element element, java.lang.String format, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                java.lang.String message)

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                java.lang.String format,
                                                java.lang.Object... args)

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                javax.lang.model.element.AnnotationMirror annotationMirror,
                                                java.lang.String message)

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                javax.lang.model.element.AnnotationMirror annotationMirror,
                                                java.lang.String format,
                                                java.lang.Object... args)

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                javax.lang.model.element.AnnotationMirror annotationMirror,
                                                javax.lang.model.element.AnnotationValue annotationValue,
                                                java.lang.String message)

#### createError

    public static ValidationMessage createError​(javax.lang.model.element.Element element,
                                                javax.lang.model.element.AnnotationMirror annotationMirror,
                                                javax.lang.model.element.AnnotationValue annotationValue,
                                                java.lang.String format,
                                                java.lang.Object... args)

#### createWarning

    public static ValidationMessage createWarning​(javax.lang.model.element.Element element,
                                                  java.lang.String message)

#### createWarning

    public static ValidationMessage createWarning​(javax.lang.model.element.Element element,
                                                  java.lang.String format,
                                                  java.lang.Object... args)